<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 */
	public function up(): void
	{
		Schema::create('contact_forms', function (Blueprint $table) {
			$table->id();
			$table->string('name', 100);
			$table->string('email', 100);
			$table->string('phone', 20);
			$table->string('department', 100);
			$table->text('message');
			$table->ipAddress('ip_address');
			$table->string('user_agent', 255);
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 */
	public function down(): void
	{
		Schema::dropIfExists('contact_forms');
	}
};
