@extends('layouts.website.root')

@section('title') مشتریان ما @endsection

@section('content')
<div class="breadcrumb-wrapper">
	<div class="container-fluid">
		<div class="breadcumb border-radius" data-bg-src="{{ asset('assets/website/img/hero/breadcumbBg.png') }}">
			<div class="row d-flex align-items-center">
				<div class="col-xl-6 d-flex justify-content-center">
					<div class="page-heading">
						<h1 class="wow fadeInUp" data-wow-delay=".3s">مشتریان ما</h1>
						<ul class="breadcrumb-items wow fadeInUp" data-wow-delay=".5s">
							<li>
								<a href="{{ route('website.index') }}">
									صفحه اصلی
								</a>
							</li>
							<li>
								<i class="fas fa-chevron-left"></i>
							</li>
							<li>
								مشتریان ما
							</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="project-section space fix">
	<div class="project-wrapper style1">
		<div class="container">
			<div class="row gy-30 gx-30">
				<div class="col-lg-3">
					<div class="project-thumb wow fadeInUp" data-wow-delay="0.2s">
						<img class="thumb1" src="{{ asset('assets/website/img/brand-logo/ikco.png') }}" alt="IKCO" />
						<div class="thumb-content">
							<p>صنعت خودرو‌سازی</p>
							<h3><a>ایران خودرو</a></h3>
						</div>
					</div>
				</div>
				<div class="col-lg-3">
					<div class="project-thumb wow fadeInUp" data-wow-delay="0.3s">
						<img class="thumb1"
							src="https://cdn.ilna.ir/thumbnail/aXotd9Dlb5P5/-gv9vIN3272uMUCKA4wf4CEAxxIqjXqUQXgVVzZ1dKYA3QW2Kh2rPe6LXzT2Vl36/603f6bae7e8f4.jpg"
							alt="IKCO" />
						<div class="thumb-content">
							<p>صنعت لبنیات</p>
							<h3><a>کاله</a></h3>
						</div>
					</div>
				</div>
				<div class="col-lg-3">
					<div class="project-thumb wow fadeInUp" data-wow-delay="0.4s">
						<img class="thumb1" src="{{ asset('assets/website/img/brand-logo/pst.jpg') }}" alt="IKCO" />
						<div class="thumb-content">
							<p>دیگر</p>
							<h3><a>پی اس تی</a></h3>
						</div>
					</div>
				</div>
			</div>

			{{-- <div class="pagination-area">
				<ul class="paginations">
					<li class="page-item active">
						<a href="#">01</a>
					</li>
					<li class="page-item">
						<a href="#">02</a>
					</li>
					<li class="page-item">
						<a href="#">03</a>
					</li>
					<li class="page-item">
						<a href="#">04</a>
					</li>
				</ul>
				<div class="paginations-button">
					<a href="#">
						بعدی
						<svg xmlns="http://www.w3.org/2000/svg" width="7" height="14" viewBox="0 0 7 14" version="1.1"
							xmlns:xlink="http://www.w3.org/1999/xlink" transform="matrix(-1,0,0,-1,0,0)">
							<path d="M7 7.00008L0 0L4.45455 7.00008L0 14L7 7.00008Z"></path>
						</svg>
					</a>
				</div>
			</div> --}}
		</div>
	</div>
</div>
@endsection